Skip to content

Attach VPC IP to Notebook

POST
/notebooks/{notebook_id}/vpc_ips/{reserve_ip_id}/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{notebook_id}/vpc_ips/{reserve_ip_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
notebook_id
required
integer
reserve_ip_id
required
integer
project_id
required
integer

Project ID

location
string

Example

Delhi

Filter by location

active_iam
integer

Example

6706

Active IAM ID

VPC IP attached successfully

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 200,
"data": "VPC IP attach action scheduled successfully.",
"errors": {},
"message": "Success"
}